% FA demo script

%	$Revision: 2.0 $ $Date: 2000/04/24 17:42:39 $

echo on

global FA_VERBOSE
FA_VERBOSE = 1;

randn('seed',0);
N = 2; M = 10;


% Pick some random params
C = randn(M,N);
R = randn(M); R = R*R';
Q = eye(2);
m = zeros(2,1);

% Generate data
[y,x] = fa_sim(m,Q,C,R,1000);

% Now try to learn them

% Initialize params
[Ci,Ri] = fa_init(y,N,'orig');

% Reestimate
[m1,Q1,C1,R1] = fa_learn(y, m,Q,Ci,Ri, 1e-3);

echo off
