#ifndef _FA_UTIL_H_
#define _FA_UTIL_H_

#ifdef __cplusplus
extern "C" {
#endif

void
fa_pxy( double *y,
	double *C, double *R, double *x0, double *Q, int N, int M, int T,
	double *ex, double *vx );

void
fa_py( double *C, double *R, double *x0, double *Q, int N, int M,
       double *ey, double *vy );

void
fa_cost( double *y,
	 double *C, double *R, double *x0, double *Q, int N, int M, int T,
	 double *cost );

#ifdef __cplusplus
               }
#endif

#endif
