function cost = dhmm_cost(P,Q,p0, Eys,Ess,Es0,T)
%
% dhmm_cost -- cost of DHMM
%
% Usage:
%   cost = dhmm_cost(P,Q,p0, Eys,Ess,Es0,T)
% See also:
%   dhmm_learn
%

%	$Revision: 2.0 $ $Date: 2000/04/24 17:43:53 $

cost = - log( p0+realmin )'*Es0 ...
       - trace( log(P+realmin)*Ess' ) ...
       - trace( log(Q+realmin)*Eys' );

