function [P,Q,p0] = dhmm_max( Eys,Ess,Es0,Ts, P,Q,p0 )
%
% dhmm_max -- maximization of HMM parameters
%
% Usage:
%   [P,Q,p0] = dhmm_max(Eys,Ess,EssD,Es0,Ts,P,Q,p0)
%

%	$Revision: 2.0 $ $Date: 2000/04/24 17:43:54 $

global VARTHD_HMM_LEARN
if (~isempty(VARTHD_HMM_LEARN))
   varThd = VARTHD_HMM_LEARN;
else
   varThd = 1e-6;
end

[M,N] = size(Eys);


Q  = Eys * pinv( diag( sum( Eys ) ) );

p0 = Es0;

P  = Ess * pinv( diag( sum( Ess ) ) );
