function [Ess,Ecs,Eycs,Eyycs,Es0,Dss,Ds,Ts] = ghmm_ics(N,M,D,d)
%
% ghmm_ics -- initialize Gaussian mixture HMM statistics
%
% Usage:
%   [Ess,Ecs,Eycs,Eyycs,Es0,Dss,Ds,Ts] = ghmm_ics(N,M,D,d)
%

%	$Revision: 2.0 $ $Date: 2000/04/24 17:43:57 $

Ecs   = zeros(M,N);
Eycs  = zeros(D,M,N);
Ess   = zeros(N,1);
if (d)
  Eyycs = zeros(D,D,M,N);
else
  Eyycs = zeros(D,M,N);
end
Es0   = zeros(N,1);

Dss = zeros(N,N);
Ds  = zeros(N,1);
Ts  = 0;
