function varargout = lds_dim(a,c,q,r,x0,q0)
%
% lds_dim -- dimension of LS model
%

% $Revision: 2.0 $ $Date: 2000/04/24 17:44:21 $

if ~isstr(c),
  dim = size(c);
else
  dim = size(feval(c,zeros(size(x0,1),1),0));
end

if ~isstr(a),
  dim(3) = size(a,2)/dim(2);
else
  dim(3) = size(feval(a,zeros(size(x0,1),1),0),2)/dim(2);
end

if nargout==1,
  varargout{1} = dim;
elseif nargout>1,
  varargout{1} = dim(1);
  varargout{2} = dim(2);
  varargout{3} = dim(3);
end
