function [a,c,q,r] = lds_param_fun(A,C,Q,R,t)
%
% lds_param_fun -- extract LS parameter values
%

% $Revision: 2.0 $ $Date: 2000/04/24 17:44:24 $

a = lds_get_param(A,t);
c = lds_get_param(C,t);
q = lds_get_param(Q,t);
r = lds_get_param(R,t);

function p = lds_get_param(P,t)

if isstr(P),
  p = feval(P,t);
elseif ndims(P)>2,
  p = P(:,:,t);
else
  p = P;
end
  
