function [Ec,Eyc,Eyyc,T] = mog_ucs(y,ec, Ec,Eyc,Eyyc,T, w)

M = size(ec,1);
D = size(y,1);
Ts = 1;

d = ndims(Eyyc) - ndims(Eyc);

% Update per-sequence parameters

for c=1:M,
  
  ect = w.*ec(c,:);
  
  Ec(c)    = Ec(c) + sum( ect, 2);
  Eyc(:,c) = Eyc(:,c) + y*ect';
  
  if (d)
    % Full R
    Eyyc(:,:,c) = Eyyc(:,:,c) + y*( y.*ect(ones(D,1),:) )';
  else
    % Diagonal R
    Eyyc(:,c) = Eyyc(:,c) + sum( (y.^2).*ect(ones(D,1),:), 2);
  end
  
  
end

T = T + sum(w)*Ts;



%	$Revision: 2.0 $ $Date: 2000/04/24 17:42:15 $
