function [Ex,Exx,Eyx,Eyy] = fa_ucs(y,ex,vx, Ex,Exx,Eyx,Eyy,w, m,Q,C,R)
%
% fa_ucs -- update cummulative statistics
%
% Usage:
%  [Ex,Exx,Eyx,Eyy] = fa_ucs(y,ex,vx, Ex,Exx,Eyx,Eyy,w, m,Q,C,R)
% See also:
%   fa_learn
%

%	$Revision: 2.0 $ $Date: 2000/04/24 17:42:41 $

N = size(ex,1);
M = size(y,1);
T = size(y,2);

exw = ex.*w(ones(N,1),:);
yw  = y.*w(ones(M,1),:);

Ex  = sum( exw, 2);
Eyx = y*exw';
Eyy = y*yw';
Exx = vx + ex*exw';
