/*
*	$Revision: 2.0 $ $Date: 2000/04/24 17:42:06 $
 */
 
#ifndef _MOG_UTIL_H_
#define _MOG_UTIL_H_

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <float.h>

#ifdef __cplusplus
extern "C" {
#endif
  
  extern void	mog_clean();

  extern void	mog_diag( double *x, int N, int T, double *c, double *m, 
			  double *r,
			  int M, int S, double *p, double *pc );
  extern void	mog_smt( double *logPst, double *logPcst, int S, int M, int T, 
			 double *Ecs, double *Es );
  extern void	mog_grad( double *x, double *Ecst, double *Est, int N, int M, 
			  int S, int T, double *p, double *c, 
			  double *m, double *r, int fullR, 
			  double *gS, double *gC, double *gM, double *gR );
  extern int	mog_full( double *x, int N, int T, double *c, double *m, 
			  double *r, int M, int S, double *p, double *pc);
  extern double	logGaussDiag( double x, double m, double r);
  extern double	logGaussFull( double *x, double *m, double *l, double *p, 
			      int N );
  
  
  
#ifdef __cplusplus
	   }
#endif

#endif
