function [cost,map,cc,cs] = vq_eval( vec, cm, cv, cvtype, mincs )
%
% vq_eval -- quantize vectors
%
% Usage:
%   [cost,map] = vq_eval( vec, cm, cv, cvtype, mincs )
% Input:
%   vec		list of column vectors
%   cm		cluster means
%   cv		cluster variances
%   cvtype	covariance type:
%		0 - unit covariance
%		1 - diagonal covariance (default)
%		2 - inverse of diagona covariance
%		3 - full covariance
%   mincs	minimal cluster size (default 1)
% Output:
%   cost	quantization cost
%   map		vector to cluster mapping
%   cc		cluster costs
%   cs		cluster sizes
%

%	$Revision: 2.0 $ $Date: 2000/04/24 17:41:25 $
